<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Lương tính từ ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
        [mbErrors]="form.controls['fromDate'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.fromDate' | translate }}]"
        mbPlaceholderText="{{'staffManager.table.fromDate' | translate}}"
        mbLabelText="{{'staffManager.table.fromDate' | translate}} <span class='label__required'>*</span>"
        formControlName="fromDate">
      </mb-date-picker>
    </div>

    <!-- Mã bậc lương -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="salaryGradeList"
                 mbKeyLabel="salaryGradeName"
                 mbKeyValue="salaryGradeId"
                 [mbType]="isSubmitted && form.controls['salaryGradeId'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['salaryGradeId'].errors !== null"
                 [mbErrors]="form.controls['salaryGradeId'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.salaryRange' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.salaryRange' | translate}}"
                 mbLabelText="{{'staffManager.table.salaryRange' | translate}} <span class='label__required'>*</span>"
                 formControlName="salaryGradeId"></mb-select>
    </div>

    <!-- Bậc lương -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="salaryRankList"
                 mbKeyLabel="salaryRankName"
                 mbKeyValue="salaryRankId"
                 [mbType]="isSubmitted && form.controls['salaryRankId'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['salaryRankId'].errors !== null"
                 [mbErrors]="form.controls['salaryRankId'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.salaryLevel' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.salaryLevel' | translate}}"
                 mbLabelText="{{'staffManager.table.salaryLevel' | translate}} <span class='label__required'>*</span>"
                 formControlName="salaryRankId"></mb-select>
    </div>

    <!-- Mức lương -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        appNumberInput
        mbSuffixTemplate="VNĐ"
        [mbType]="isSubmitted && form.controls['salaryAmount'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['salaryAmount'].errors !== null"
        [mbErrors]="form.controls['salaryAmount'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.salaryNumber' | translate }}]"
        mbPlaceholderText="{{'staffManager.table.salaryNumber' | translate}}"
        mbLabelText="{{'staffManager.table.salaryNumber' | translate}} <span class='label__required'>*</span>"
        formControlName="salaryAmount"></mb-input-text>
    </div>

    <!-- Phần trăm thưởng -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text appNumberic
                     [num]="3"
                     mbSuffixTemplate="%"
                     [mbType]="isSubmitted && form.controls['salaryPercent'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['salaryPercent'].errors !== null"
                     [mbErrors]="form.controls['salaryPercent'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.percentReceive' | translate }}]"
                     mbPlaceholderText="{{'staffManager.table.percentReceive' | translate}}"
                     mbLabelText="{{'staffManager.table.percentReceive' | translate}} <span class='label__required'>*</span>"
                     formControlName="salaryPercent"></mb-input-text>
    </div>

    <!-- Hệ số lương hiệu suất -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text appNumberic
                     [decimals]="2"
                     [num]="3"
                     mbPlaceholderText="{{'staffManager.table.performanceFactor' | translate}}"
                     mbLabelText="{{'staffManager.table.performanceFactor' | translate}}"
                     formControlName="performanceFactor"></mb-input-text>
    </div>

    <!-- Tỷ lệ hưởng lương hiệu suất -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        appNumberic
        [num]="3"
        mbSuffixTemplate="%"
        mbPlaceholderText="{{'staffManager.table.ratio' | translate}}"
        mbLabelText="{{'staffManager.table.ratio' | translate}}"
        formControlName="performancePercent"></mb-input-text>
    </div>

    <!-- Ghi chú -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     [mbMaxLength]="500"
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' | translate }}]"
                     mbPlaceholderText="{{'staffManager.label.note' | translate}}"
                     mbLabelText="{{'staffManager.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
  </div>
</form>
